#
# spec file for package rubygem-railties-5.2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-railties-5.2
Version:        5.2.3
Release:        bp156.4.1
%define mod_name railties
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5.2
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby25 ruby26
%define rb_build_ruby_abis ruby:2.5.0 ruby:2.6.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Patch0:         rubygem-railties-5.2-CVE-2023-23913.patch
Summary:        Tools for creating, working with, and running Rails applications
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Rails internals: application bootup, plugins, generators, and rake tasks.

%prep
%gem_unpack
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build
%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Fri Oct 13 2023 pgajdos@suse.com
- security update
- added patches
  CVE-2023-38037 [bsc#1214807]
  + rubygem-railties-5.2-CVE-2023-23913.patch
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.3
  see installed CHANGELOG.md
  [#]# Rails 5.2.3 (March 27, 2019) ##
  * Seed database with inline ActiveJob job adapter.
  * Gannon McGibbon*
  * Fix boolean interaction in scaffold system tests.
  * Gannon McGibbon*
* Thu Mar 14 2019 Marcus Rueckert <mrueckert@suse.de>
- update to version 5.2.2.1:
  https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/
  CVE-2019-5418 CVE-2019-5419 CVE-2019-5420
* Sat Jan 19 2019 Marcus Rueckert <mrueckert@suse.de>
- rb_build_ruby_abi needs to be rb_build_ruby_abis
* Fri Jan 18 2019 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.5 and above for 42.3/sle12
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.2
  see installed CHANGELOG.md
  [#]# Rails 5.2.2 (December 04, 2018) ##
  * Disable content security policy for mailer previews.
  * Dylan Reile*
  * Log the remote IP address of clients behind a proxy.
  * Atul Bhosale*
* Mon Dec  3 2018 mschnitzer@suse.com
- updated to version 5.2.1.1 (boo#1118076)
  * No changes / Just a version bump to match with Rails 5.2.1.1
* Wed Aug  8 2018 mschnitzer@suse.com
- updated to version 5.2.1 (boo#1104209)
  * Respect `NODE_ENV` when running `rails yarn:install`.
    (Max Melentiev)
  * Don't generate unused files in `app:update` task
    Skip the assets' initializer when sprockets isn't loaded.
    Skip `config/spring.rb` when spring isn't loaded.
    (Tsukuru Tanimichi)
  * Don't include `bootsnap` by default in apps generated under JRuby.
    Fixes #32641.
    (Guillermo Iguaran)
  * Create the `.ruby-version` file compatible with MRI/JRuby by default.
    Fixes #32639.
    (Guillermo Iguaran)
  * Make the master.key file read-only for the owner upon generation on
    POSIX-compliant systems.
    Previously:
    $ ls -l config/master.key
  - rw-r--r--   1 owner  group      32 Jan 1 00:00 master.key
    Now:
    $ ls -l config/master.key
  - rw-------   1 owner  group      32 Jan 1 00:00 master.key
    Fixes #32604.
    (Jose Luis Duran)
  * Allow use of `minitest-rails` gem with Rails test runner.
    Fixes #31324.
    (Yuji Yaginuma)
* Mon Apr 16 2018 mschnitzer@suse.com
- initialize package
  see changelog: https://github.com/rails/rails/blob/v5.2.0/railties/CHANGELOG.md
